Bug 13588 - Aliasing issue causes incorrect IPv6 checksum
Aliasing issue causes incorrect IPv6 checksum
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-22 01:47 UTC by Martin Schwenke
Modified: 2018-09-04 06:46 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 (2.08 KB, patch)
2018-08-26 10:34 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-08-22 01:47:41 UTC
There's an aliasing issue in CTDB's IPv6 checksum code.  This has been in the code forever but was tickled by moving 2 functions into the same file before 4.9.  This allows the called function to be inlined, which makes some assumptions about the code.  The fix also fixes CID 1437604 - however, this is a false positive so is less important that the aliasing issue.
Comment 1 Martin Schwenke 2018-08-26 10:34:04 UTC
Created attachment 14446 [details]
Patch for 4.9
Comment 2 Martin Schwenke 2018-08-27 05:36:54 UTC
Hi Karolin,

This is ready for 4.9.

Thanks...
Comment 3 Karolin Seeger 2018-08-28 08:57:39 UTC
(In reply to Martin Schwenke from comment #2)
Pushed to autobuild-v4-9-test.
Comment 4 Karolin Seeger 2018-09-04 06:46:51 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-9-test.
Closing out bug report.

Thanks!